Bug 1811392 - [OSP13][TLS] Deployment with TLS failed on overcloud.AllNodesDeploySteps.ControllerDeployment_Step1.2
Summary: [OSP13][TLS] Deployment with TLS failed on overcloud.AllNodesDeploySteps.Cont...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Adriano Petrich
QA Contact: David Rosenfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-08 09:53 UTC by Roman Safronov
Modified: 2020-03-23 20:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-23 20:22:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Safronov 2020-03-08 09:53:22 UTC
Description of problem:
On attempt to deploy with TLS using our usual downstream CI job installation failed:


2020-03-07 23:16:35Z [overcloud.AllNodesDeploySteps.ControllerDeployment_Step1.2]: SIGNAL_IN_PROGRESS  Signal: deployment aecc93c4-af63-403d-821e-cd2a0e2f8722 failed (2)
2020-03-07 23:16:36Z [overcloud.AllNodesDeploySteps.ControllerDeployment_Step1.2]Heat Stack create failed.
Heat Stack create failed.
: CREATE_FAILED  Error: resources[2]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
2020-03-07 23:16:36Z [overcloud.AllNodesDeploySteps.ControllerDeployment_Step1]: CREATE_FAILED  Resource CREATE failed: Error: resources[2]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
2020-03-07 23:16:37Z [overcloud.AllNodesDeploySteps.ControllerDeployment_Step1]: CREATE_FAILED  Error: resources.ControllerDeployment_Step1.resources[2]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 2
2020-03-07 23:16:37Z [overcloud.AllNodesDeploySteps]: CREATE_FAILED  Resource CREATE failed: Error: resources.ControllerDeployment_Step1.resources[2]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 2
2020-03-07 23:16:37Z [overcloud.AllNodesDeploySteps]: CREATE_FAILED  Error: resources.AllNodesDeploySteps.resources.ControllerDeployment_Step1.resources[2]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 2
2020-03-07 23:16:37Z [overcloud]: CREATE_FAILED  Resource CREATE failed: Error: resources.AllNodesDeploySteps.resources.ControllerDeployment_Step1.resources[2]: Deployment to server failed: deploy_status_code: Deployment exited with non-zero status code: 2

 Stack overcloud CREATE_FAILED 

overcloud.AllNodesDeploySteps.ControllerDeployment_Step1.2:
  resource_type: OS::Heat::StructuredDeployment
  physical_resource_id: aecc93c4-af63-403d-821e-cd2a0e2f8722
  status: CREATE_FAILED
  status_reason: |
    Error: resources[2]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
  deploy_stdout: |
    ...
            "2020-03-07 23:16:32,962 ERROR: 34374 -- ERROR configuring horizon", 
            "2020-03-07 23:16:32,962 ERROR: 34374 -- ERROR configuring heat_api_cfn", 
            "2020-03-07 23:16:32,963 ERROR: 34374 -- ERROR configuring ovn_controller"
        ]
    }
        to retry, use: --limit @/var/lib/heat-config/heat-config-ansible/eb0d8a9e-0d8b-4bfa-94cf-70b923a3aacd_playbook.retry
    
    PLAY RECAP *********************************************************************
    localhost                  : ok=34   changed=18   unreachable=0    failed=1   
    
    (truncated, view all with --long)
  deploy_stderr: |


Version-Release number of selected component (if applicable):
2020-03-04.1

How reproducible:
Tried once, happened once

Steps to Reproduce:
1. Run installation with TLS
2.
3.

Actual results:
Deployment fails

Expected results:
Deployment succeeds

Additional info:

Comment 2 Jad Haj Yahya 2020-03-09 09:35:19 UTC
Hey,

Do you have logs for this BZ ?

Comment 5 Alex Schultz 2020-03-09 16:47:42 UTC
        \"2020-03-07 23:15:57,464 ERROR: 34378 -- Failed running docker-puppet.py for swift_ringbuilder\", 
        \"2020-03-07 23:15:57,464 ERROR: 34378 -- /usr/bin/docker-current: Error response from daemon: mounting shm tmpfs: permission denied.\", 
        \"time=\\\"2020-03-07T23:15:57Z\\\" level=error msg=\\\"error getting events from daemon: net/http: request canceled\\\" \", 
        \"\", 
        \"2020-03-07 23:15:57,464 INFO: 34378 -- Finished processing puppet configs for swift_ringbuilder\", 
        \"2020-03-07 23:15:57,464 INFO: 34378 -- Starting configuration of mysql using image 192.168.24.1:8787/rh-osbs/rhosp13-openstack-mariadb:20200303.1\", 
        \"2020-03-07 23:15:57,491 INFO: 34378 -- Removing container: docker-puppet-mysql\", 
        \"2020-03-07 23:15:57,516 INFO: 34378 -- Pulling image: 192.168.24.1:8787/rh-osbs/rhosp13-openstack-mariadb:20200303.1\",

Comment 8 Emilien Macchi 2020-03-23 20:22:52 UTC
This is likely a random bug in docker, which we can't much about right now. If it happens again, please re-open against RHEL docker.


Note You need to log in before you can comment on or make changes to this bug.